Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.nnet
Class Perceptron

    java.lang.Object
      java.util.Observable
          org.neuroph.core.NeuralNetwork
              org.neuroph.nnet.Perceptron

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable

    public class Perceptron

extends NeuralNetwork

Perceptron neural network with some LMS based learning algorithm.

See Also:
  `LMS`, `StepDeltaRule`, `SigmoidDeltaRule`, Serialized Form

Constructor Summary
`Perceptron(int inputNeuronsNum, int outputNeuronsNum)` Creates new Perceptron with specified number of neurons in input and output layer, with Step trqansfer function
`Perceptron(int inputNeuronsNum, int outputNeuronsNum, TransferFunctionType transferFunctionType)` Creates new Perceptron with specified number of neurons in input and output layer, and specified transfer function

Method Summary

Methods inherited from class org.neuroph.core.NeuralNetwork
`addLayer, addLayer, addPlugin, calculate, createConnection, getInputNeurons, getLayerAt, getLayers, getLayersCount, getLayersIterator, getLearningRule, getNetworkType, getOutput, getOutputAsArray, getOutputNeurons, getPlugin, indexOf, learn, learnInNewThread, learnInNewThread, learnInSameThread, learnInSameThread, load, notifyChange, randomizeWeights, removeLayer, removeLayerAt, removePlugin, reset, run, save, setInput, setInput, setInputNeurons, setLearningRule, setNetworkType, setOutputNeurons, stopLearning, toString`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Perceptron

    public Perceptron(int inputNeuronsNum,
                      int outputNeuronsNum)

  Creates new Perceptron with specified number of neurons in input and output layer, with Step trqansfer function

  Parameters:
    `inputNeuronsNum` - number of neurons in input layer
    `outputNeuronsNum` - number of neurons in output layer

### Perceptron

    public Perceptron(int inputNeuronsNum,
                      int outputNeuronsNum,
                      TransferFunctionType transferFunctionType)

  Creates new Perceptron with specified number of neurons in input and output layer, and specified transfer function

  Parameters:
    `inputNeuronsNum` - number of neurons in input layer
    `outputNeuronsNum` - number of neurons in output layer
    `transferFunctionType` - neuron transfer function type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD